Do more on the web, with a fast and secure browser!

Download Opera browser with:

  • built-in ad blocker
  • battery saver
  • free VPN
Download Opera

Opera 27 Flash flag Mimics Flash Player Update Malware

  • No, Opera does not include Flash.

  • I also got this pop-up flag in the bottom right corner saying that there was a new Flash version ready for download. I have latest Opera 27 and Windows 7. I was sure I had the latest Flash player intalled so I didn't understad this message, because it looked "serious". I remember I also had the same "problem" after Avira antivirus intalled the latest version a few months ago. In the following days, there was popping up a flag with the message that there was a new Avira antivirus ready to download, even if I had the latest version.

    So, yesterday I run a full system scan with my Avira Free antivirus, and it found 2 detections on my computer and took care of them.

    After this system scan I now seems to got rid of this pop-up flag, I think.

  • Sorry, the Flash Player flag did pop up again. Now I don't know how to get rid of this malware or what ever it is?

  • I personally recommend you give malwarebytes a try, download the free version (from their own site, to be sure) and do a full scan. You may have to restart your computer and do another scan or two, just to be sure that it has found and removed every piece of malware it could.

  • You may be sure the latest NPAPI Flash version installed, but Opera should be pushing you to install the latest PPAPI Flash version which is the optimal one being used by Opera now.

    This could be the misunderstanding, I don't suspect it's malware.

    Can you post a screenshot of the update message?

  • Hello rafaelluik

    I have the latest version of ActiveX and NPAPI plug-in (v.16.0.0.296) But PPAPI plug-in is NOT installed on my computer.
    What is the difference of NPAPI and PPAPI plug-ins, and do I need both?

    Sorry I ask, but I'm not a computer guru, just a average Joe.

  • You don't need both. You only need PPAPI flash. NPAPI is the old Netscape style of plugin and its going away. Chrome and Chroma based browsers, which include Opera, will drop support for NPAPI very soon. So get the PPAPI version.

  • You can download the PPAPI version for Windows from Adobe, but it will not be the latest version. For some reason, they provide C:\Windows\system32\Macromed\Flash\pepflashplayer64_16_0_0_280.dll

  • Now I have installed the latest Flash Player PPAPI (16.0.0.305). I will see if the popup flag have disappeared in the coming days and I'll be back with the results.

    Thanks for helping. 🙂

  • @jarmush What lando242 said.
    But if you have Mozilla Firefox, another Mozilla-based browser or Steam installed for example you may want to keep the NPAPI version for the moment because they still use it for now.

  • how can i block auto update of opera 27.0.1689.66 . please help me.

    [Mod edit: email address removed for user's own safety]

  • Uhh no. Don't hijack other peoples threads. The answer can already be found elsewhere on the forums. In fact its easily found with a google search too. Finally, if you can't be bothered to check your own thread for the answer to your question I can't be bothered to give it to you nor will I render my email to what is no doubt a spammers honey pot.

  • how can i block auto update of opera 27.0.1689.66

    Try this: https://forums.opera.com/post/36857

    And, as said, please do not hijack topics.

  • Yess, the Flash player popup flag have now disappeared, after installing correct Flash player (PPAPI).

    Case solved. 🙂

  • I'm so glad I found this thread! I've scanned my laptop so many times for malware, finding nothing. It's a relief to have this popup explained.

    I do have the most up to date version of Flash installed on my computer, but in the Opera settings, it says NPAPI. How do I get the PPAPI version when the Adobe Flash Player website says I already have the most up to date version? And the Flash version I have works just fine in the Opera browser, I just get the popup once a day. Should I download Flash and install it again using the Opera browser this time? And if so, how will that affect the way Flash works in other browsers? Opera is not the default on this computer. DH uses this computer as well and prefers Firefox, so just for ease of use, that is the default browser.

    Or should I just go to the experiments setting in the Opera browser and disable the Flash update notification?

  • Just do a goggle search for the PAPPI download.

  • Just visit Adobe's download page - if you have Windows or OSX. If it says the correct OS and Opera then it should be the correct version. If it's the wrong version, then click on "Need Flash Player for a different computer?" and select the right OS and type.

    If you run Linux or *BSD you will either have to get it from your distro or (if they don't have it) by downloading and installing Chrome. (The Linux I sometimes run - Mageia - doesn't have it.)

  • I too have gotten that stupid popup at the bottom of the page various times prompting me to update Flash Player when I know I have just installed the absolute latest.

    I have always gotten my Flash Player updates from here:

    http://www.adobe.com/products/flashplayer/distribution3.html

    I would think that should be good enough to keep that annoying popup from popping up. But, apparently not.

  • Indeed it's not, at least at the moment. Over the years, the "official" Flash test and download sites perhaps hold the record for stimulating user confusion, ranking right up there with similar Java sites. Apparently Adobe hasn't fully come to grips yet on their distribution page with the reality that Chrome and Opera need the PAPPI version of Flash plug-in, and that page only offers the NPAPI plug-in version at present for non-IE browsers. Adobe's "getadobe" page, referenced by @sgunhouse, will auto-deduce the version you need, provided you visit the page using the same browser you want the plug-in for. Also, as always, be sure to __un__check the bundled "Optional offer" being continually pushed by the Adobe sites before downloading or installing anything Adobe-related.

  • At the Adobe download page, it does show the Opera browser but there's no indication obvious if you would be getting the PAPPI version of the plugin or not. If you click on "Need Flash player for a different computer", after choosing the operating system, the option comes up to choose PAPPI for Opera or NPAPI for Firefox. What I was wondering is whether or not installing this would have any effect on the installation I have previously done from within the Firefox browser, which still requires NPAPI. (I had never knows there were different versions of Flash, I just assumed the update was global for my entire computer and that separate installations would not be required for each browser.)

Log in to reply